[arch-commits] Commit in vim-minibufexpl/trunk (LICENSE PKGBUILD)

Eric Bélanger eric at archlinux.org
Sun Apr 19 22:23:26 EDT 2009


    Date: Sunday, April 19, 2009 @ 22:23:26
  Author: eric
Revision: 36113

upgpkg: vim-minibufexpl 6.3.2-4
    Added license

Added:
  vim-minibufexpl/trunk/LICENSE
Modified:
  vim-minibufexpl/trunk/PKGBUILD

----------+
 LICENSE  |    8 ++++++++
 PKGBUILD |   13 +++++++------
 2 files changed, 15 insertions(+), 6 deletions(-)

Added: LICENSE
===================================================================
--- LICENSE	                        (rev 0)
+++ LICENSE	2009-04-20 02:23:26 UTC (rev 36113)
@@ -0,0 +1,8 @@
+"    Copyright: Copyright (C) 2002 & 2003 Bindu Wavell
+"               Permission is hereby granted to use and distribute this code,
+"               with or without modifications, provided that this copyright
+"               notice is copied with it. Like anything else that's free,
+"               minibufexplorer.vim is provided *as is* and comes with no
+"               warranty of any kind, either expressed or implied. In no
+"               event will the copyright holder be liable for any damamges
+"               resulting from the use of this software.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-20 02:09:48 UTC (rev 36112)
+++ PKGBUILD	2009-04-20 02:23:26 UTC (rev 36113)
@@ -3,21 +3,22 @@
 
 pkgname=vim-minibufexpl
 pkgver=6.3.2
-pkgrel=3
+pkgrel=4
 _scriptid=3640
 pkgdesc="An elegant buffer explorer for vim"
 arch=(i686 x86_64)
 url="http://www.vim.org/scripts/script.php?script_id=159"
+license=('custom')
 depends=(vim)
 groups=('vim-plugins')
-source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid)
-md5sums=('c47a9d844788daa38563c4e33c8f0d6e')
+source=(http://www.vim.org/scripts/download_script.php?src_id=$_scriptid LICENSE)
+md5sums=('c47a9d844788daa38563c4e33c8f0d6e' 'aa6bc9c176702f23ee9f8476f72e3971')
 
 build()
 {
-  cd $startdir/src
+  cd $srcdir
   mv download_script.php?src_id=$_scriptid minibufexpl.vim
 
-  mkdir -p $startdir/pkg/usr/share/vim/plugin/
-  install -m644 minibufexpl.vim $startdir/pkg/usr/share/vim/plugin/
+  install -D -m644 minibufexpl.vim $pkgdir/usr/share/vim/plugin/minibufexpl.vim || return 1
+  install -D -m644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE || return 1
 }



More information about the arch-commits mailing list